OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIX.Instruments

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXInstruments :: MonadIO m => m Bool
- gl_SGIX_instruments :: Bool
- gl_INSTRUMENT_BUFFER_POINTER_SGIX :: GLenum
- gl_INSTRUMENT_MEASUREMENTS_SGIX :: GLenum
- glGetInstrumentsSGIX :: MonadIO m => m GLint
- glInstrumentsBufferSGIX :: MonadIO m => GLsizei -> Ptr GLint -> m ()
- glPollInstrumentsSGIX :: MonadIO m => Ptr GLint -> m GLint
- glReadInstrumentsSGIX :: MonadIO m => GLint -> m ()
- glStartInstrumentsSGIX :: MonadIO m => m ()
- glStopInstrumentsSGIX :: MonadIO m => GLint -> m ()

# Extension Support

glGetSGIXInstruments :: MonadIO m => m Bool

Is the SGIX_instruments extension supported?

gl_SGIX_instruments :: Bool

Is the SGIX_instruments extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXInstruments` in those cases instead.

# Enums

gl_INSTRUMENT_BUFFER_POINTER_SGIX :: GLenum

gl_INSTRUMENT_MEASUREMENTS_SGIX :: GLenum

# Functions

glGetInstrumentsSGIX :: MonadIO m => m GLint

glInstrumentsBufferSGIX

Arguments

:: MonadIO m |
=> GLsizei | `size`.
-> Ptr GLint | `buffer` pointing to `size` elements of type `GLint`.
-> m () |

glPollInstrumentsSGIX

Arguments

:: MonadIO m |
=> Ptr GLint | `marker_p` pointing to `1` element of type `GLint`.
-> m GLint |

glReadInstrumentsSGIX

Arguments

:: MonadIO m |
=> GLint | `marker`.
-> m () |

glStartInstrumentsSGIX :: MonadIO m => m ()

glStopInstrumentsSGIX

Arguments

:: MonadIO m |
=> GLint | `marker`.
-> m () |